#include "ComboBox.h"
#include <Xm/BulletinB.h>

int
main(int argc, char **argv)
{
  Widget toplevel, widget, bb;
  XtAppContext app;
  XmString item;

  XtSetLanguageProc(NULL, NULL, NULL);

  toplevel = XtVaAppInitialize(&app, "ComBox", NULL, 0, &argc, argv, NULL, NULL);

  bb = XmCreateBulletinBoard(toplevel, "bb", NULL, 0);
  XtManageChild(bb);

  widget = DtCreateComboBox(bb, "combo", NULL, 0);

  item = XmStringCreateSimple("Item 1");
  DtComboBoxAddItem(widget, item, 0, True);
  item = XmStringCreateSimple("Item 2");
  DtComboBoxAddItem(widget, item, 0, True);
  item = XmStringCreateSimple("Item 3");
  DtComboBoxAddItem(widget, item, 0, True);
  item = XmStringCreateSimple("Item 4");
  DtComboBoxAddItem(widget, item, 0, True);
  item = XmStringCreateSimple("Item 5");
  DtComboBoxAddItem(widget, item, 0, True);

  XtManageChild(widget);

  XtRealizeWidget(toplevel);

  
{
    static XtWidgetGeometry Expected[] = {
   CWWidth | CWHeight            ,   56,   72,   84,   42, 0,0,0, /* bb */
   CWWidth | CWHeight | CWX | CWY,   10,   10,   63,   21, 0,0,0, /* combo */
   CWWidth | CWHeight | CWX | CWY,    4,    4,   40,   13, 0,0,0, /* Label */
   CWWidth | CWHeight | CWX | CWY,   44,    4,    2,   13, 0,0,0, /* ComboBoxSeparator */
   CWWidth | CWHeight | CWX | CWY,   46,    4,   13,   13, 0,0,0, /* ComboBoxArrow */ 
    };
    PrintDetails(  toplevel ,Expected);
};
   LessTifTestMainLoop(  toplevel );

  exit(0);
}
